<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="report1" language="groovy" pageWidth="700" pageHeight="842" columnWidth="660" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<queryString>
		<![CDATA[begin ?:= congpd.pk_quanlynghiepvu.baocao('{p0sys_userid}','{p0sys_userip}','{p0nghiepvu}','{p0tinh}','{p0coquan}');end;]]>
	</queryString>
	<field name="name" class="java.lang.String"/>
	<field name="custname" class="java.lang.String"/>
	<field name="dispathnumber" class="java.lang.String"/>
	<field name="ten" class="java.lang.String"/>
	<field name="status" class="java.lang.String"/>
	<field name="stt" class="java.lang.String"/>
	<group name="group_hcm">
		<groupExpression><![CDATA[$F{name}]]></groupExpression>
		<groupFooter>
			<band height="41">
				<textField>
					<reportElement x="38" y="0" width="100" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement>
						<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="338" y="0" width="100" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement>
						<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{ten}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="0" y="20" width="138" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement>
						<font fontName="Times New Roman" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Tổng Hồ Chí Minh]]></text>
				</staticText>
				<textField>
					<reportElement x="0" y="0" width="38" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement>
						<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{stt}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="538" y="0" width="100" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement>
						<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{status}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="238" y="0" width="100" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement>
						<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{dispathnumber}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="138" y="0" width="100" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement>
						<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{custname}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="438" y="0" width="100" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement>
						<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{status}]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<group name="group_hn">
		<groupExpression><![CDATA[$F{name}]]></groupExpression>
		<groupFooter>
			<band height="42">
				<textField>
					<reportElement x="0" y="0" width="38" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center">
						<font fontName="Times New Roman" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{stt}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="38" y="0" width="100" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center">
						<font fontName="Times New Roman" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="138" y="0" width="100" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center">
						<font fontName="Times New Roman" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{custname}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="238" y="0" width="100" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center">
						<font fontName="Times New Roman" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{dispathnumber}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="338" y="0" width="100" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center">
						<font fontName="Times New Roman" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{ten}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="438" y="0" width="100" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center">
						<font fontName="Times New Roman" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{status}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="538" y="0" width="100" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center">
						<font fontName="Times New Roman" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{status}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="0" y="20" width="138" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement>
						<font fontName="Times New Roman" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Tổng Hà Nội]]></text>
				</staticText>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="69" splitType="Stretch">
			<staticText>
				<reportElement x="470" y="-19" width="168" height="19"/>
				<textElement>
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Cộng hòa xã hội chủ nghĩa Việt Nam]]></text>
			</staticText>
			<staticText>
				<reportElement x="480" y="0" width="143" height="20"/>
				<textElement>
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Độc lập-Tự do -Hạnh Phuc]]></text>
			</staticText>
			<staticText>
				<reportElement x="153" y="40" width="285" height="20"/>
				<textElement>
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[Danh sách chi tiết thuê bao nghiệp vụ]]></text>
			</staticText>
			<image>
				<reportElement x="0" y="10" width="111" height="50"/>
				<imageExpression><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
		</band>
	</title>
	<summary>
		<band height="42" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="138" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tổng]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
